<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use Illuminate\Support\Facades\Hash;

class UserSeeder extends Seeder
{
    public function run()
    {
        User::create([
            'name' => 'Admin',
            'email' => 'admin@waltonplaza.com',
            'password' => Hash::make('password'),
            'phone' => '01700000000',
            'role' => 'admin'
        ]);
        
        echo "Default user created: admin@waltonplaza.com / password\n";
    }
}